%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-mmap
Version:        1.1.0
Release:        %mkrel 10
Summary:        File mapping functionality
Group:          Development/OCaml

%global libname mmap

# License is LGPL 2.1 with standard OCaml exceptions
License:        LGPLv2+ with exceptions
URL:            https://github.com/mirage/mmap
Source0:        https://github.com/mirage/mmap/archive/v%{version}/mmap-v%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib

BuildRequires:  ocaml-dune

%description
This project provides a Mmap.map_file functions for mapping files
in memory. This function is the same as the Unix.map_file function
added in OCaml >= 4.06.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and
signature files for developing applications that use %{name}.

%prep
%autosetup -n %{libname}-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%license LICENSE
%doc README.md CHANGES.md

%files devel -f .ofiles-devel
#license LICENSE


%changelog
* Sun Jun 22 2025 daviddavid <daviddavid> 1.1.0-10.mga10
+ Revision: 2193857
- rebuild for ocaml 5.3.0

* Thu May 19 2022 pterjan <pterjan> 1.1.0-9.mga9
+ Revision: 1859011
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 1.1.0-8.mga9
+ Revision: 1833106
- Mageia 9 Mass Rebuild

* Tue Oct 12 2021 tv <tv> 1.1.0-7.mga9
+ Revision: 1750804
- Rebuild for ocaml 4.13.1

* Tue Oct 12 2021 tv <tv> 1.1.0-6.mga9
+ Revision: 1750727
- Rebuild for ocaml 4.13.1

* Wed Mar 03 2021 tv <tv> 1.1.0-5.mga9
+ Revision: 1696556
- rebuild for ocaml-4.2-12

* Sun Jan 10 2021 pterjan <pterjan> 1.1.0-4.mga8
+ Revision: 1670293
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.1.0-3.mga8
+ Revision: 1551489
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1545144
- Mageia 8 Mass Rebuild

* Mon Jan 27 2020 tv <tv> 1.1.0-1.mga8
+ Revision: 1484092
- imported package ocaml-mmap


* Sun Jan 19 2020 Richard W.M. Jones <rjones@redhat.com> - 1.1.0-5
- OCaml 4.10.0+beta1 rebuild.

* Fri Dec 06 2019 Richard W.M. Jones <rjones@redhat.com> - 1.1.0-4
- OCaml 4.09.0 (final) rebuild.

* Fri Aug 16 2019 Richard W.M. Jones <rjones@redhat.com> - 1.1.0-3
- OCaml 4.08.1 (final) rebuild.

* Tue Aug 06 2019 Ben Rosser <rosser.bjr@gmail.com> - 1.1.0-2
- Switched to github tag archive with tests, license file.
- Added missing isa to devel package requirement.
- Added "dune runtest" to check section.
- Cleaned up files paths to use ocaml/libname rather than ocaml/*.

* Tue Jul 30 2019 Ben Rosser <rosser.bjr@gmail.com> - 1.1.0-1
- Initial package.
